<style>
.file_upload_form{
  position: relative;
  background-color: #eee;
  padding: 10px;
}
.file_upload_form .file_upload_ipt{
  position: absolute;
  opacity: 0;
  left: 0px;
  top: 0px;
  width: 100%;
  height: 100%;
  z-index: 1;
}
.file_upload_form .ipt{
  display: none;
}
.file_upload_form .file_upload_info_ct{
  word-break: break-all;
  /*background: #5c86e8;*/
  padding: 20px;
  border-radius: 4px;
  /*color: #fff;*/
  position: relative;
  font-size: 12px;
  color: #333;
}
.file_upload_form .file_upload_info_ct .rectangle_close{
  position: absolute;
  z-index: 2;
  right: 5px;
  top: 5px;
}
</style>
<template>
  <div class="file_upload_form">
    <form ref="form">
      <input type="file" ref="file_ipt" name="file" v-on:change="submit" class="file_upload_ipt">
      <input type="hidden" name="file_name" v-model="val" class="ipt" />
    </form>
    <div class="file_upload_info_ct" >
      <div v-if="!on_load && !val">{{ (show_val ? val : '点击上传文件') || '点击上传文件' }}</div>
      <div v-if="on_load">正在上传...</div>
      <div class="tag_operation_item rectangle_close" v-if="val && !on_load" @click="clear">
        <div class="close_tag_line_x rotate_45u"></div>
        <div class="close_tag_line_x rotate_45"></div>
      </div>
    </div>
  </div>
</template>
<script>
import {
  upload_pic as upload_form
} from '../service'
export default {
  data () {
    return {
      val: '',
      on_load: false
    }
  },

  props: {
    value: {
      type: String,
      default () {
        return ''
      }
    },
    show_val: {
      type: Boolean,
      default () {
        return true;
      }
    }
  },

  watch: {
    val () {
      
    },
    value () {
      this.val = this.value;
    }
  },

  mounted () {
    this.val = this.value;
  },

  methods: {
    clear () {
      this.val = '';
      this.$emit('input', this.val);
      this.$emit('clear');
    },
    async submit () {
        if(!this.$refs.file_ipt.value){
          return ;
        }
        this.on_load = true;
        // console.log(this.$refs.file_ipt.value);
        let bodyFormData = new FormData(this.$refs.form);
        let result = await upload_form(bodyFormData);
        console.log( result );
        this.val = result.picUrl;
        this.on_load = false;
        this.$emit('input', this.val);
    }
  }
}
</script>


